%define upstream_name    Math-Cephes
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to St. Moshier's Cephes library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
  This module provides an interface to over 150 functions of the 
  cephes math library of Stephen Moshier. No functions are exported 
  by default, but rather must be imported explicitly, as in

     use Math::Cephes qw(sin cos);

  There are a number of export tags defined which allow
  importing groups of functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pmath
/usr/share/man/man1/pmath.1.xz



%changelog

* Wed Nov 30 2011 kharec <kharec> 0.470.0-1.mga2
+ Revision: 174545
- imported package perl-Math-Cephes


* Wed Nov 30 2011 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
